# Manual d'usuari del &kde;

Stephan
Kulow

    coolo@kde.org

28-09-2007
Entorn d'escriptori K
kde4-config
1

# `kde4-config`

Imprimeix les rutes de la instal·lació del &kde;

    kde4-config --expandvars --prefix --exec-prefix --libsuffix --localprefix --version --types --path type --userpath type --install type

## Descripció

kde4-config és un programa de línia d'ordres emprat per a rebre informació quant a la instal·lació del &kde; o les rutes d'ús.

Aquest programa s'usa per a determinar els diversos aspectes de a on resideix instal·lat el &kde; sobre el vostre sistema.

## Opcions

`--expandvars`

  expandeix ${prefix} i ${exec_prefix} en la sortida

`--prefix`

  Les biblioteques &kde; han estat compilades sobre prefix

`--exec-prefix`

  Les biblioteques &kde; han estat compilades sobre exec_prefix

`--libsuffix`

  La ruta de les biblioteques es troben al sufix

`--localprefix`

  Prefix en $`HOME` usat per a escriure fitxers

`--version`

  Les biblioteques &kde; han estat compilades en la versió

`--types`

  Imprimeix a pantalla una llista de tots els recursos &kde; disponibles

`--path type`

  Cerca la ruta per al type especificat

`--userpath type`

  Rutes d'usuari per als tipus: desktop|autostart|trash|document

`--install type`

  Prefix a on instal·lar els fitxers de recurs

## Exemples

Imprimir el directori arrel de la instal·lació del &kde;:

&percnt;``kde4-config --prefix``

Imprimir una llista de tots els tipus recursos:

&percnt;``kde4-config --types``

Imprimir la ruta del fons d'escriptori que teniu instal·lat:

&percnt;``kde4-config --path wallpaper``

## Veure també

kdeoptions(7)

## Errors

No se'n coneixen.